<template lang="pug">
BaseCard.x-comments(tabIndex='0').highlightOnFocus
  template(v-slot:header)
    .d-flex.justify-content-between
      div #[h5 Comments]
      .ml-auto.clickable(@click='setEdit(true)' v-if='isComments && !inEdit')
        kbd.keyHint.mr-2(v-if="showKeyHints") E
        i.fa.fa-cog
      .ml-auto.clickable(@click='setEdit(false)' v-if='isComments && inEdit')
        kbd.keyHint.mr-2(v-if="showKeyHints") Esc
        i.fa.fa-times
  li(v-if='!dns' key='0')
    div.text-muted Please select an experiment area...
  li(v-if='dns && !isComments' key='1')
    div.text-muted Waiting for Service...
  li(v-show='isComments && inEdit' key='2')
    .row.b-param-container
      .col-12.col-sm-3.col-xl-2.b-param
        .row.b-param-container
          BaseParamReadonly.col-12(title='Run Number' :value='runNumber' :inEdit='true')
          BaseParamReadonly.col-12(title='User' :value='username' :inEdit='true')
      .col-12.col-sm-9.col-xl-10.b-param
        BaseMarkdownWidget.border.rounded(ref='comment' :inEdit='true')
    .row.mt-2.justify-content-end
      .col-auto
        button.btn.btn-primary.mx-1(type='submit' @click='sendComment()' :disabled='!canSend')
          kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
          | Send
  li(v-show='isComments && $butils.isEmpty(comments)' key='3')
    div.text-muted No comment...
  li(v-show='!$butils.isEmpty(comments)' key='4')
    BaseCollapsible(:expand="false" :counter="commentsCount")
      template(v-slot:header='c')
        strong {{c.isExpanded ? 'Hide' : 'Show'}} Comments
      .col-12
        table.table.table-sm.table-hover.mt-2.borderless
          thead
            tr.table-head
              th.text-center User
              th.d-none.d-md-table-cell.text-center Date
              th Comment
          BaseAnimationGroup(tag='tbody' anim='height' :appear='true')
            tr(:key='com.id' v-for="com in comments")
              td.x-login.text-center
                a.text-primary(
                  :href='`https://ntof-daq.web.cern.ch/website/users/${com.userId}`' target="_blank" rel="noopener")
                  | {{ getUserName(com.userId) }}
              td.x-date.text-center.text-nowrap.d-md-table-cell.d-none
                span {{ com.date | b-moment('MM-dd HH:mm:ss') }}
              td.w-100.x-comment
                BaseMarkdownViewer(:value='com.comments' :options='{ html: true, linkify: true, typographer: true }')
</template>
<script>

export { default } from './Comments.vue.js';

</script>
<style lang='scss'>
.x-comments {
  table.borderless {
    td, th {
      border-top-style: none !important;
      border-left-style: none !important;
      border-right-style: none !important;
      border-bottom-style: none !important;
    }
  }
}
</style>
